Bug 120614 - Set "selinux=0" at boot time will cause kernel panic
Summary: Set "selinux=0" at boot time will cause kernel panic
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: policy   
(Show other bugs)
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-12 05:59 UTC by Wang Anli
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-28 13:09:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wang Anli 2004-04-12 05:59:47 UTC
Description of problem:

From RHEL4_Alpha2 Release Notes, selinux can be disabled at boot time 
through adding "selinux=0" option to kernel. But when I tried on 
LangleyPR, it caused "kernel panic". 

LangleyPR hardware info:  x86/Xeon(dual 2.4G)/SCSI(aic7xxx)



Version-Release number of selected component (if applicable):


How reproducible:
-- Install RHEL4_Alpha2_IA32 releases on LangleyPR
-- Boot the installed system with setting "selinux=0" option to kernel
-- ...
   EXT3-fs:recovery complete
   EXT3-fs: mounted filesystem with ordered data mode
   Freeing unused kernel memory: 1.80k freed
   Enforcing mode requested but no policy loaded, Halting now.
   Kernel panic: Attempted to kill init!

-- System hangs up.
  
Actual results:
Setting "selinux=0" option to boot kernel will cause kernel panic.


Expected results:
Coordinating with Release Notes, selinux=0 option can work and 
disable selinux.


Additional info:

Comment 1 Daniel Walsh 2004-04-12 12:05:13 UTC
You need to update the SysVinit package.  There is a bug in the
package that looks for the /etc/sysconfig/selinux file and if it
exists but the kernel does not support selinux (selinux=0) the init
script exist causing the kernel to crash.  It should just return that
SELinux is not running.  So fixed in rawhide. SysVinit-2.85-23 


Dan

Comment 2 Wang Anli 2004-04-12 12:16:04 UTC
Will the fix be integrated in the next RHEL4 release? 

thanks!
Anli

Comment 3 Daniel Walsh 2004-04-12 12:25:23 UTC
Yes,  You can remove the /etc/sysconfig/selinux file and the problem
should go away also.

Dan


Note You need to log in before you can comment on or make changes to this bug.